**Source URL:** https://limited.veevavault.dev/clinical/vault-api/api-reference/23.1/scim/users/update-user-with-scim.md

# Update User with SCIM



Update fields values on a single user with SCIM.

<Endpoint path="/api/{version}/scim/v2/Users/{id}" method="PUT"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/scim+json` |
| `Content-Type` | `application/json` or `application/scim+json` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `id` | The `id` of the user you wish to update. |
</FieldTable>

## Body Parameters {#body-parameters}

The body of your request should be a JSON file with the information you want to update for your user. You can include any editable attribute. Invalid attributes are ignored. You can set single-valued attributes to blank using `null`, or an empty array `[]` for multi-valued attributes.

You can determine which of the core attributes are editable based on schemas. If the `mutability` is `readWrite`, the attribute is editable.

## Request {#request}

<CodeExample title="">
```
curl -X PUT -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/scim+json" \
--data-binary @"C:\Vault\Users\update_user_scim.json" \
https://veepharm.com/api/v18.2/scim/v2/Users/56798

```
</CodeExample>

## Body {#body}

<CodeExample title="">
```
{
    "schemas": [
        "urn:ietf:params:scim:schemas:extension:veevavault:2.0:User",
        "urn:ietf:params:scim:schemas:core:2.0:User"
    ],
    "userName": "AbigailSmith@veepharm.com",
    "name": {
                "familyName": "Smith",
                "givenName": "Abigail"
            },
    "urn:ietf:params:scim:schemas:extension:veevavault:2.0:User": {
    "securityProfile": {
                    "value": "system_admin__v"
                }
  }
}

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "schemas": [
        "urn:ietf:params:scim:schemas:extension:veevavault:2.0:User",
        "urn:ietf:params:scim:schemas:core:2.0:User"
    ],
    "id": "93521",
    "meta": {
        "created": "2018-01-09T23:07:43.000Z",
        "lastModified": "2018-05-30T22:21:18.000Z",
        "resourceType": "User",
        "location": "https://veepharm.com/api/v18.2/scim/v2/Users/93521"
    },
    "active": true,
    "displayName": "Abigail Smith",
    "emails": [
        {
            "value": "abigail.smith@veepharm.com",
            "type": "work"
        }
    ],
    "locale": "en_US",
    "name": {
        "familyName": "Smith",
        "givenName": "Abigail"
    },
    "preferredLanguage": "en",
    "timezone": "America/Los_Angeles",
    "userName": "a.smithn@veepharm.com",
    "urn:ietf:params:scim:schemas:extension:veevavault:2.0:User": {
        "createdBy": {
            "$ref": "https://veepharm.com/api/v18.2/scim/v2/Users/1",
            "value": "1"
        },
        "domainAdmin": true,
        "favoriteDocNewComment": false,
        "favoriteDocNewContent": false,
        "favoriteDocNewStatus": false,
        "lastLogin": "2018-05-30T20:53:10.000Z",
        "lastModifiedBy": {
            "$ref": "https://veepharm.com/api/v18.2/scim/v2/Users/61579",
            "value": "61579"
        },
        "licenseType": {
            "$ref": "https://veepharm.com/api/v18.2/scim/v2/LicenseTypes/full__v",
            "value": "full__v"
        },
        "lifecycle": "vault_membership_lifecycle__sys",
        "lifecycleState": "active_state__sys",
        "productAnnouncementEmails": false,
        "securityPolicy": {
            "$ref": "https://veepharm.com/api/v18.2/scim/v2/SecurityPolicies/2525",
            "value": "2525"
        },
        "securityProfile": {
            "value": "system_admin__v",
            "$ref": "https://veepharm.com/api/v18.2/scim/v2/SecurityProfiles/system_admin__v"
        },
        "systemAvailabilityEmails": false
    }
}

```
</CodeExample>

## Response Details {#response-details}

On SUCCESS, the reponse contains the new information for the updated user.



---

**Previous:** [Create User with SCIM](/clinical/vault-api/api-reference/23.1/scim/users/create-user-with-scim)  
**Next:** [Retrieve SCIM Resources](/clinical/vault-api/api-reference/23.1/scim/retrieve-scim-resources)